FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora/Linux Management Tools

 
 
LinkBack Thread Tools
 
Old 06-25-2008, 02:23 PM
Marcel Haerry
 
Default added rhpl require for rpm

From: Marcel Haerry <haerry@puzzle.ch>

If rhpl isn't installed the following error occure:

Stopping cobbler daemon: [FAILED]
Starting cobbler daemon: Traceback (most recent call last):
File "/usr/bin/cobblerd", line 20, in ?
import cobbler.cobblerd as app
File "/usr/lib/python2.4/site-packages/cobbler/cobblerd.py", line 28, in ?
import remote
File "/usr/lib/python2.4/site-packages/cobbler/remote.py", line 21, in ?
from rhpl.translate import _, N_, textdomain, utf8
ImportError: No module named rhpl.translate
[FAILED]

Signed-off-by: Marcel Haerry <haerry@puzzle.ch>
---
cobbler.spec | 1 +
1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/cobbler.spec b/cobbler.spec
index 71c9de3..88849b1 100644
--- a/cobbler.spec
+++ b/cobbler.spec
@@ -15,6 +15,7 @@ Requires: createrepo
Requires: mod_python
Requires: python-cheetah
Requires: rsync
+Requires: rhpl
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
--
1.5.5.1

_______________________________________________
et-mgmt-tools mailing list
et-mgmt-tools@redhat.com
https://www.redhat.com/mailman/listinfo/et-mgmt-tools
 
Old 06-25-2008, 03:50 PM
Michael DeHaan
 
Default added rhpl require for rpm

Marcel Haerry wrote:

From: Marcel Haerry <haerry@puzzle.ch>

If rhpl isn't installed the following error occure:

Stopping cobbler daemon: [FAILED]
Starting cobbler daemon: Traceback (most recent call last):
File "/usr/bin/cobblerd", line 20, in ?
import cobbler.cobblerd as app
File "/usr/lib/python2.4/site-packages/cobbler/cobblerd.py", line 28, in ?
import remote
File "/usr/lib/python2.4/site-packages/cobbler/remote.py", line 21, in ?
from rhpl.translate import _, N_, textdomain, utf8
ImportError: No module named rhpl.translate
[FAILED]

Signed-off-by: Marcel Haerry <haerry@puzzle.ch>
---
cobbler.spec | 1 +
1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/cobbler.spec b/cobbler.spec
index 71c9de3..88849b1 100644
--- a/cobbler.spec
+++ b/cobbler.spec
@@ -15,6 +15,7 @@ Requires: createrepo
Requires: mod_python
Requires: python-cheetah
Requires: rsync
+Requires: rhpl
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service



You fixed it, in a different way

I've removed rhpl entirely in devel, so the fix here is actually to
remove rhpl for the master branch also as we aren't using it (when I get
around to adding translation, we're much more likely to go through
Transifex, and rhpl is not otherwise used).


I think most people should have it installed, but thanks for the heads
up. If there's a 1.0.3 release (there should be) before 1.1 gets
promoted to 1.2, the fix will be included.


Thanks for the heads up!

--Michael




_______________________________________________
et-mgmt-tools mailing list
et-mgmt-tools@redhat.com
https://www.redhat.com/mailman/listinfo/et-mgmt-tools
 

Thread Tools




All times are GMT. The time now is 12:53 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org